For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETReturns all milestone templates of the given project template.
      • POSTCreates a new milestone template for the given project template.
      • GETReturns a milestone by id for the given project template.
      • PUTUpdates a milestone template for the given project template.
      • DELDeletes a milestone for the given project template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Milestone Templates

Creates a new milestone template for the given project template.

POST
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/milestones
POST
/api/v1/projecttemplates/:projectTemplateId/milestones
$curl -X POST https://api.awork.com/api/v1/projecttemplates/projectTemplateId/milestones \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "name": "Internal Review",
3 "color": "green",
4 "relativeDueDate": 7,
5 "id": "123e4567-e89b-12d3-a456-426614174000",
6 "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
7 "createdOn": "2024-01-15T09:30:00Z",
8 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
9 "updatedOn": "2024-01-15T09:30:00Z",
10 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
11}
<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Returns a milestone by id for the given project template.

Next
Built with
Required Permissions
The user must be an admin or have project-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template.

Request

The model containing milestone template details.
namestring or nullOptional0-255 characters
The name of the milestone.
colorstring or nullOptional0-14 characters
The color of the milestone.
relativeDueDatelongOptional
Relative amount of days the milestone is due after the project creation date when a project gets created with the corresponding project template.

Response

OK
namestring or null0-255 characters
The name of the milestone.
colorstring or null0-14 characters
The color of the milestone.
relativeDueDatelong
Relative amount of days the milestone is due after the project creation date when a project gets created with the corresponding project template.
idstringformat: "uuid"
projectTemplateIdstringformat: "uuid"
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.